using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgGeneralLinkConvertLkMaterialDTO
{

    /*
        物料链接，可以为url或淘口令,多个时使用英文逗号拼接传入（邀约制权限有申请门槛，权限分为①联盟推广链接转链；②天猫/淘宝复制链接转链；如有相关需求请在权限申请时同步说明）
    */
    private string? materialUrl;


    /*
        是否指定券，1-指定 0-不指定 默认为0（邀约制权限，仅面向KA淘宝客）
    */
    private long? isTargetCoupon;


    /*
        优惠券id（邀约制权限，仅面向KA淘宝客）
    */
    private string? couponId;



    [JsonPropertyName("material_url")]
    public string? MaterialUrl
    {
        get => materialUrl;
        set => this.materialUrl = value;
    }

    [JsonPropertyName("is_target_coupon")]
    public long? IsTargetCoupon
    {
        get => isTargetCoupon;
        set => this.isTargetCoupon = value;
    }

    [JsonPropertyName("coupon_id")]
    public string? CouponId
    {
        get => couponId;
        set => this.couponId = value;
    }

}

